import { SVGProps } from "react";

const TwitterLogo = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={20}
    height={20}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M18.333 4.912a7.21 7.21 0 0 1-1.968.531 3.355 3.355 0 0 0 1.503-1.86c-.66.388-1.39.662-2.167.815a3.449 3.449 0 0 0-2.496-1.065c-1.892 0-3.414 1.512-3.414 3.365 0 .267.022.523.079.768a9.722 9.722 0 0 1-7.043-3.52 3.347 3.347 0 0 0-.468 1.701c0 1.165.61 2.198 1.518 2.796a3.415 3.415 0 0 1-1.544-.414v.037c0 1.634 1.185 2.992 2.738 3.305a3.46 3.46 0 0 1-.896.111c-.219 0-.44-.012-.647-.057a3.443 3.443 0 0 0 3.193 2.343 6.934 6.934 0 0 1-4.237 1.435c-.28 0-.549-.012-.817-.046a9.728 9.728 0 0 0 5.241 1.51c6.288 0 9.725-5.129 9.725-9.574 0-.148-.005-.292-.012-.435a6.76 6.76 0 0 0 1.712-1.746Z"
      fill="#fff"
    />
  </svg>
);

export default TwitterLogo;
